********************************************************************
* Setup
********************************************************************

* Root: include filepath containing this unzipped package in order to run do-files
global root "~/Downloads/MS31051_replication_package"

set printcolor gs2

********************************************************************
* Analyses
********************************************************************

****** Structure of Western Political Ideology

* Figure 1: PCAs of Policy Views
do "$root/Analyses/fig_1_clusters"

* Figure 2: Policy Views on Left-Right Self-Assessment
do "$root/Analyses/fig_2_leftright"

****** Survey Design: Descriptives of Universalism

* Figure 4: Histogram of composite universalism
do "$root/Analyses/fig_4_heterogeneity"

* Table 1: Sociodemographic correlates
do "$root/Analyses/table_1_sociodemographics"

****** Results

* Figure 5: Binscatter of composite universalism and left-wing ideology
do "$root/Analyses/fig_5_binscatter_univ"

* Figure 6: Policy Views (Expenditure Shares and Relative Policy Support) on Universalism
do "$root/Analyses/fig_6ab_universalism"
do "$root/Analyses/fig_6cd_universalism"

* Table 2: Universalism and policy views
do "$root/Analyses/table_2_universalism"

* Figure 7: Policy Views (Expenditure Levels) on Universalism
do "$root/Analyses/fig_7_universalism_levels"

* Figure 8: Benchmarking effect sizes
do "$root/Analyses/fig_8_magnitude"

* Figure 9: Benchmarking counterfactual policy views
do "$root/Analyses/fig_9a_hypo_clusters"
do "$root/Analyses/fig_9b_hypo_clusters"

* Figure 10: Benchmarking: Individual Profiles
do "$root/Analyses/fig_10_benchmarking_clusters"

****** Demand- and Supply-Side Explanations

* Figure 11: Binscatters of specific policy implementation
do "$root/Analyses/fig_11_separate_policies_binscatters"

* Table 3: Universalism and support for affirmative action
do "$root/Analyses/table_3_AA_preferences"
