use "$root/Data/survey_analysis_final.dta", clear

graph drop _all

drop if inlist(country, "Korea", "Brazil")

* Welfare

binscatter 	hs_welfare_univ_budget left_right, absorb(country) ///
			graphregion(color(white)) ///
			nquant(15) mcolor(navy) title("Demand for national redistribution", color(black) size(vlarge)) ///
			ytitle("Desired spending on welfare", size(vlarge)) xtitle("Right (0) vs. Left (10)", size(vlarge)) name(univ_welfare)
						
binscatter 	hs_welfare_groupy_budget left_right, absorb(country) ///
			graphregion(color(white)) ///
			nquant(15) mcolor(navy) title("Demand for local redistribution", color(black) size(vlarge)) ///
			ytitle("Desired spending on welfare", size(vlarge)) xtitle("Right (0) vs. Left (10)", size(vlarge)) name(groupy_welfare)
			
graph combine univ_welfare groupy_welfare, ycommon graphregion(fcolor(white)) ysize(2.5) xsize(6)

graph export "$root/Output/fig_11_welfare.eps", replace

* Environment
binscatter 	hs_environment_univ_budget left_right, absorb(country) ///
			graphregion(color(white)) ///
			nquant(15) mcolor(navy) title("Demand for global climate change prevention", color(black) size(vlarge)) ///
			ytitle("Desired spending on environment", size(vlarge)) xtitle("Right (0) vs. Left (10)", size(vlarge)) name(univ_env)
			
binscatter 	hs_environment_groupy_budget left_right, absorb(country) ///
			graphregion(color(white)) ///
			nquant(15) mcolor(navy) title("Demand for local environmental protection", color(black) size(vlarge)) ///
			ytitle("Desired spending on environment", size(vlarge)) xtitle("Right (0) vs. Left (10)", size(vlarge)) name(groupy_env)

graph combine univ_env groupy_env, ycommon graphregion(fcolor(white)) ysize(2.5) xsize(6)

graph export "$root/Output/fig_11_environment.eps", replace

* Foreign Aid
binscatter 	hs_foreignaid_univ_budget left_right, absorb(country) ///
			graphregion(color(white)) ///
			nquant(15) mcolor(navy) title("Demand for foreign aid to countries in most need", color(black) size(vlarge)) ///
			ytitle("Desired spending on foreign aid", size(vlarge)) xtitle("Right (0) vs. Left (10)", size(vlarge)) name(univ_foreignaid)

binscatter 	hs_foreignaid_groupy_budget left_right, absorb(country) ///
			graphregion(color(white)) ///
			nquant(15) mcolor(navy) title("Demand for foreign aid to international allies", color(black) size(vlarge)) ///
			ytitle("Desired spending on foreign aid", size(vlarge)) xtitle("Right (0) vs. Left (10)", size(vlarge)) name(groupy_foreignaid)

graph combine univ_foreignaid groupy_foreignaid, ycommon graphregion(fcolor(white)) ysize(2.5) xsize(6)

graph export "$root/Output/fig_11_foreignaid.eps", replace
