* FIGURE 4

do "$root/Analyses/aux/set_globals"
use "$root/Data/survey_analysis_final.dta", clear

preserve

* Defining this global so that we don't use all the universalism measures
global universalism_measures "universalism_overall"

replace $universalism_measures=$universalism_measures*100
drop if inlist(country, "Korea", "Brazil")

***********************************************************************************
* Figure 4: Heterogeneity in moral universalism
***********************************************************************************

graph drop _all

twoway (hist $universalism_measures, fcolor(blue%5) lcolor(blue) start(0) width(1) discrete fraction), ///
xtitle("Moral universalism") legend(off) ///
graphregion(fcolor(white) lcolor(white)) ylabel(#5, nogrid) ///
xlabel(0 10 20 30 40 50 60 70 80 90 100) xline(50, lcolor(red) lpattern(dash) lstyle(foreground)) name("western") title("Heterogeneity in Moral Universalism", color(black) bexpand)

graph export "$root/Output/fig_4_heterogeneity.eps", replace

restore
