* TABLE 1: CORRELATIONS BETWEEN HETEROGENEITY IN UNIVERSALISM AND SOCIODEMOGRAPHICS

do "$root/Analyses/aux/set_globals"
use "$root/Data/survey_analysis_final.dta", clear

drop if inlist(country, "Korea", "Brazil")

global universalism_measures "universalism_overall"

replace $universalism_measures=$universalism_measures*100

**********************************************************

gen age_male_income=s_age*s_male*s_income_index
bysort country: egen s_age_male_income=std(age_male_income)

global sociodemographics age s_religion_index s_wealth_index s_income_index male s_age_male_income college

foreach measure in $sociodemographics {
	
	* Raw correlation
	pwcorr $universalism_measures `measure', sig
	
	* OLS coefficients: univariate
	reghdfe $universalism_measures `measure', absorb(country)
	
}
	
* OLS coefficients: multivariate
reghdfe $universalism_measures $sociodemographics, absorb(country)
