do "$root/Analyses/aux/set_globals"
use "$root/Data/survey_analysis_final.dta", clear

preserve

***********************************************************************************
* Table 2: Universalism in trust and universalism in altruism separately
***********************************************************************************

drop if inlist(country, "Korea", "Brazil")

eststo clear

foreach i in portion rel_support {
	foreach j in $policies{
		eststo: reg s_`j'_`i' universalism_behavior_mean universalism_trust_mean i.country_no $controls, ro
	}	
}

label var universalism_behavior_mean "Universalism in altruism"
label var universalism_trust_mean "Universalism in trust"

esttab est1 est2 est3 est4 est5 est6 est7 est8 using "$root/Output/table_2_universalism_panelA.tex", booktabs nonotes replace ///
 compress  label nomtitles rename() indicate("Country FE=*country*" "Controls=*$controls")  drop(_cons) ///
 se(2) b(a2) r2(2)  star(* 0.10 ** 0.05 *** 0.01) ///
prehead("{\begin{tabular}{l*{8}{c}}\toprule\toprule &\multicolumn{8}{c}{\textit{Dependent variable: Desired expenditure shares (Z-scores)}}\\[.3cm] & Border control & Military & Police & Foreign aid & Aff. action & Environment & Health care & Welfare \\\cmidrule(lr){2-2}\cmidrule(lr){3-3}\cmidrule(lr){4-4}\cmidrule(lr){5-5}\cmidrule(lr){6-6}\cmidrule(lr){7-7}\cmidrule(lr){8-8}\cmidrule(lr){9-9}")	

esttab est9 est10 est11 est12 est13 est14 est15 est16 using "$root/Output/table_2_universalism_panelB.tex", booktabs nonotes replace ///
 compress  label nomtitles rename() indicate("Country FE=*country*" "Controls=*$controls")  drop(_cons) ///
 se(2) b(a2) r2(2)  star(* 0.10 ** 0.05 *** 0.01) ///
prehead("{\begin{tabular}{l*{8}{c}}\toprule\toprule &\multicolumn{8}{c}{\textit{Dependent variable: Relative policy support (Z-scores)}}\\[.3cm] & Border control & Military & Police & Foreign aid & Aff. action & Environment & Health care & Welfare \\\cmidrule(lr){2-2}\cmidrule(lr){3-3}\cmidrule(lr){4-4}\cmidrule(lr){5-5}\cmidrule(lr){6-6}\cmidrule(lr){7-7}\cmidrule(lr){8-8}\cmidrule(lr){9-9}")

restore



